Subject: Re: [Catalina22] kayak

From: [email-masked]
Date: Wed, 16 Mar 2005 07:31:03 EST

I own a Feathercraft folding Kayak - it's a K-light plus model which has 
since been superceded by newer models.  I believe it's the smallest kayak that 
Feathercraft makes.   Unfortunately I can't offer any comments as to how it would 
work out on board a C22 since it's the only boat I own.  In it's own right 
it's a great little boat, weighs only about 30 lbs.,  assembles in about 20 
minutes once you've done it a few times, and folds up into a (very) large 
backpack.   They are also pretty expensive.    There are also similar models available 
from Klepper (on the high end) as well as less expensive alternatives from 
other manufacturers.    Depending on what you're looking for, something like it 
may be suitable for you.

If you have any other questions, I'll be glad to answer them.

Andre Casanova
Morristown, NJ